## ttyplot 1.4+77.g1a1693b

=== Makefile ===
DESTDIR   ?=
PREFIX    ?= /usr/local
MANPREFIX ?= $(PREFIX)/man
CFLAGS += -Wall -Wextra
LDLIBS += -lcurses
PKG = ttyplot_1.4-1
PKGDIR = $(PKG)/usr/local/bin

all: ttyplot

install: ttyplot ttyplot.1
	install -d $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(MANPREFIX)/man1
	install -m755 ttyplot   $(DESTDIR)$(PREFIX)/bin
	install -m644 ttyplot.1 $(DESTDIR)$(MANPREFIX)/man1

uninstall:
	rm -f $(PREFIX)$(PREFIX)/bin/ttyplot
	rm -f $(PREFIX)$(MANPREFIX)/man1/ttyplot.1

deb: ttyplot
	mkdir -p $(PKGDIR)
	cp ttyplot $(PKGDIR)
	dpkg-deb --build $(PKG)

clean:
	rm -f ttyplot torture $(PKGDIR)/*

.PHONY: all clean install uninstall

=== debian/changelog ===
ttyplot (1.4+77.g1a1693b-2) unstable; urgency=medium

  * Source-only upload.
  * d/control: Add ttyplot-static as part of a static build profile.
  * d/rules: Adjust CFLAGS and LDLIBS for static build profile.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 27 Feb 2022 20:35:27 +0100

ttyplot (1.4+77.g1a1693b-1) unstable; urgency=medium

  * Initial release. (Closes: #1006521)

 -- Daniel Leidert <dleidert@debian.org>  Sat, 26 Feb 2022 19:31:08 +0100

=== debian/control ===
Source: ttyplot
Section: math
Priority: optional
Maintainer: Daniel Leidert <dleidert@debian.org>
Build-Depends: debhelper-compat (=13),
               libncurses-dev
Standards-Version: 4.6.0
Homepage: https://github.com/tenox7/ttyplot
Vcs-Browser: https://salsa.debian.org/dleidert/ttyplot
Vcs-Git: https://salsa.debian.org/dleidert/ttyplot.git
Rules-Requires-Root: no

Package: ttyplot
Build-Profiles: <!pkg.ttyplot.static>
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: realtime plotting utility for consoles and terminals
 ttyplot takes data from standard input or a unix pipeline and plots in text
 mode on a terminal in real time. It supports rate calculation for counters
 and up to two graphs on a single display using reverse video for the second
 line.

Package: ttyplot-static
Build-Profiles: <pkg.ttyplot.static>
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ttyplot
Replaces: ttyplot
Description: realtime plotting utility for consoles and terminals (static build)
 ttyplot takes data from standard input or a unix pipeline and plots in text
 mode on a terminal in real time. It supports rate calculation for counters
 and up to two graphs on a single display using reverse video for the second
 line.
 .
 This package contains a statically linked binary.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PREFIX = $(DESTDIR)/usr
export MANPREFIX = $(PREFIX)/share/man

ifneq ($(filter pkg.ttyplot.static,$(DEB_BUILD_PROFILES)),)
CFLAGS += -static
export LDLIBS = -lncurses -ltinfo
endif

%:
	dh $@

override_dh_install:
	dh_install -A --autodest debian/tmp/*

=== debian/watch ===
version=4
opts="repack,compression=xz,mode=git,pgpmode=none,pretty=describe,uversionmangle=s%^(\d+\.\d+)\.%$1+%g" \
 https://github.com/tenox7/ttyplot HEAD

## ttyplot 1.5.2

=== debian/changelog ===
ttyplot (1.5.2-1) unstable; urgency=medium

  * New upstream release 1.5.2 (closes: #1056626).
  * d/control (Standards-Version): Bump to 4.6.2.
  * d/copyright: Update copyright.
  * d/watch: Use the releases now.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 28 Nov 2023 00:20:18 +0100

=== debian/control ===
Source: ttyplot
Section: math
Priority: optional
Maintainer: Daniel Leidert <dleidert@debian.org>
Build-Depends: debhelper-compat (=13),
               libncurses-dev
Standards-Version: 4.6.2
Homepage: https://github.com/tenox7/ttyplot
Vcs-Browser: https://salsa.debian.org/dleidert/ttyplot
Vcs-Git: https://salsa.debian.org/dleidert/ttyplot.git
Rules-Requires-Root: no

Package: ttyplot
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: realtime plotting utility for text mode consoles and terminals
 ttyplot takes data from standard input or a unix pipeline and plots in text
 mode on a terminal in real time. It supports rate calculation for counters
 and up to two graphs on a single display using reverse video for the second
 line.

## ttyplot 1.6.1

=== Makefile ===
DESTDIR   ?=
PREFIX    ?= /usr/local
MANPREFIX ?= $(PREFIX)/man
CFLAGS += -Wall -Wextra
CFLAGS += `pkg-config --cflags ncursesw`
LDLIBS += `pkg-config --libs ncursesw` -lm

all: ttyplot stresstest

install: ttyplot ttyplot.1
	install -d $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(MANPREFIX)/man1
	install -m755 ttyplot   $(DESTDIR)$(PREFIX)/bin
	install -m644 ttyplot.1 $(DESTDIR)$(MANPREFIX)/man1

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/ttyplot
	rm -f $(DESTDIR)$(MANPREFIX)/man1/ttyplot.1

clean:
	rm -f ttyplot stresstest

.c:
	@pkg-config --version > /dev/null
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LDLIBS) -o $@

.PHONY: all clean install uninstall

=== debian/changelog ===
ttyplot (1.6.1-1) unstable; urgency=medium

  * New upstream release 1.6.1 (closes: #1059810).
  * d/control (Build-Depends): Add pkg-config which is required now.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 07 Jan 2024 02:51:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper-compat (=13),
-               libncurses-dev
+               libncurses-dev,
+               pkg-config
 Standards-Version: 4.6.2
 Homepage: https://github.com/tenox7/ttyplot
 Vcs-Browser: https://salsa.debian.org/dleidert/ttyplot

=== debian/watch ===
version=4
https://github.com/tenox7/ttyplot/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## ttyplot 1.7.0

=== debian/changelog ===
ttyplot (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control (Standards-Version): Bump to 4.7.0.
    (Build-Depends): Fix build-depends-on-obsolete-package.
  * d/copyright: Update copyright.
  * d/patches/fix-cross-compilation.patch: Added (closes: #1085396).
    - Fix ttyplot FTCBFS due to hard-coding the build architecture pkg-config.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 27 Oct 2024 14:52:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper-compat (=13),
                libncurses-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf | pkg-config
+Standards-Version: 4.7.0
 Homepage: https://github.com/tenox7/ttyplot
 Vcs-Browser: https://salsa.debian.org/dleidert/ttyplot
 Vcs-Git: https://salsa.debian.org/dleidert/ttyplot.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PREFIX = $(DESTDIR)/usr
export MANPREFIX = $(PREFIX)/share/man

%:
	dh $@
